Get Anime
curl --request GET \
--url https://api.example.com/api/v1/anime/{slug}import requests
url = "https://api.example.com/api/v1/anime/{slug}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/anime/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "...",
"name": "Attack on Titan",
"slug": "attack-on-titan",
"cover_url": "https://...",
"mal_id": 16498,
"genres": ["action", "drama", "fantasy"],
"synopsis": "Centuries ago, mankind was...",
"episodes": 87,
"status": "finished",
"studio": "MAPPA",
"characters": [
{ "id": "...", "name": "Eren Yeager", "slug": "eren-yeager", "role": "main" }
],
"quotes_count": 42
}
}
Anime
Get Anime
Get anime details including characters and quote count
GET
/
api
/
v1
/
anime
/
{slug}
Get Anime
Path Parameters
string
required
The URL slug of the anime (e.g.,
naruto, one-piece){
"status": "success",
"data": {
"id": "...",
"name": "Attack on Titan",
"slug": "attack-on-titan",
"cover_url": "https://...",
"mal_id": 16498,
"genres": ["action", "drama", "fantasy"],
"synopsis": "Centuries ago, mankind was...",
"episodes": 87,
"status": "finished",
"studio": "MAPPA",
"characters": [
{ "id": "...", "name": "Eren Yeager", "slug": "eren-yeager", "role": "main" }
],
"quotes_count": 42
}
}